Package Details: mingw-w64-headers-git 7.0.0.20200224-1

Git Clone URL: https://aur.archlinux.org/mingw-w64-headers-git.git (read-only, click to copy)
Package Base: mingw-w64-headers-git
Description: MinGW-w64 headers for Windows (git version)
Upstream URL: https://mingw-w64.org/doku.php
Licenses: custom
Groups: mingw-w64, mingw-w64-toolchain
Conflicts: mingw-w64-headers
Provides: mingw-w64-headers=7.0.0.20200224
Submitter: ant32
Maintainer: pingplug
Last Packager: pingplug
Votes: 13
Popularity: 0.000007
First Submitted: 2015-01-28 04:39
Last Updated: 2020-02-27 10:03

Dependencies (1)

Required by (7)

Sources (1)

Pinned Comments

pingplug commented on 2018-02-14 13:26

bootstrap:

mingw-w64-binutils-->mingw-w64-headers-bootstrap-->mingw-w64-headers-git-->mingw-w64-gcc-base-->mingw-w64-crt-git-->mingw-w64-winpthreads-git-->mingw-w64-gcc

update form non-git version:

mingw-w64-headers-git-->mingw-w64-crt-git-->mingw-w64-gcc-->mingw-w64-winpthreads-git-->all other mingw-w64-* packages must be rebuild

Latest Comments

« First ‹ Previous 1 2

usch commented on 2013-08-21 09:40

I get this warnings at the end of cloning the svn repo:
svn: warning: W200000: Error handling externals definition for 'mingw-w64-headers/experimental/DDK_ROS':
svn: warning: W175002: Unable to connect to a repository at URL 'http://svn.reactos.org/reactos/trunk/reactos/include/ddk'
svn: warning: W200000: Error handling externals definition for 'mingw-w64-headers/experimental/NDK_ROS':
svn: warning: W175002: Unable to connect to a repository at URL 'http://svn.reactos.org/reactos/trunk/reactos/include/ndk'

Why is cloning neccessary at all?

At the end Version 6129 is checked out and PKGBUILD is changed to this version as well.
Finally build fails since it can't find the configure script.

rubenvb commented on 2013-08-20 19:27

@ant32: Done. I got redirected automatically, but better to get the right URL at once :-)

ant32 commented on 2013-08-20 19:15

url does not work for me. Could you please change it to
svn+https://svn.code.sf.net/p/mingw-w64/code/trunk/mingw-w64-headers

Schala commented on 2013-04-14 17:13

I think version 2.0.8 of the CRT and headers should satisfy the 4.8 requirements.

Schala commented on 2013-04-11 06:45

Please update to Pacman 4.1 VCS guidelines ^_^